Package org.eclipse.m2m.atl.profiler.core

# Class ASMConstants

java.lang.Object
org.eclipse.m2m.atl.profiler.core.ASMConstants

public final class ASMConstants extends Object
ASM Operation constants.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`APPLY`
ASM apply operation.
`static final String`
`EXEC`
ASM exec operation.
`static final String`
`INIT`
ASM init operation.
`static final String`
`MATCH`
ASM match operation.
`static final String`
`MATCHER`
ASM matcher operation.
`static final String`
`RESOLVE`
ASM resolve operation.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EXEC

public static final String EXEC
ASM exec operation.

See Also:
  - Constant Field Values

### RESOLVE

public static final String RESOLVE
ASM resolve operation.

See Also:
  - Constant Field Values

### MATCHER

public static final String MATCHER
ASM matcher operation.

See Also:
  - Constant Field Values

### APPLY

public static final String APPLY
ASM apply operation.

See Also:
  - Constant Field Values

### MATCH

public static final String MATCH
ASM match operation.

See Also:
  - Constant Field Values

### INIT

public static final String INIT
ASM init operation.

See Also:
  - Constant Field Values